commit:     4b9a416b5676589fd8a65c2a28d7bc04687f6ed0
Author:     Mark Wright <gienah <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 13 12:16:53 2020 +0000
Commit:     Mark Wright <gienah <AT> gentoo <DOT> org>
CommitDate: Tue Oct 13 12:53:49 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b9a416b

dev-ml/ocaml-ctypes: Bump to 0.17.2

Co-Author: Alexis Ballier <aballier <AT> gentoo.org>
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Mark Wright <gienah <AT> gentoo.org>

 dev-ml/ocaml-ctypes/Manifest                   |  1 +
 dev-ml/ocaml-ctypes/metadata.xml               | 11 ++++---
 dev-ml/ocaml-ctypes/ocaml-ctypes-0.17.1.ebuild | 41 ++++++++++++++++++++++++++
 3 files changed, 49 insertions(+), 4 deletions(-)

diff --git a/dev-ml/ocaml-ctypes/Manifest b/dev-ml/ocaml-ctypes/Manifest
index dca907ace49..7538af6c255 100644
--- a/dev-ml/ocaml-ctypes/Manifest
+++ b/dev-ml/ocaml-ctypes/Manifest
@@ -2,3 +2,4 @@ DIST ocaml-ctypes-0.11.2.tar.gz 203564 BLAKE2B 
2a8c0ee8f8dcd78c3f93b506e92f2c347
 DIST ocaml-ctypes-0.11.3.tar.gz 204959 BLAKE2B 
f3863e29d355479f9306c39786d56839ab05a119dfd5a64de1a784d71e8d931d5fad0f306402aadb50bc5e8147ab7668ac026b5bfbbaff2b6530d7a33f9f38cc
 SHA512 
e7698954a6b683869a1482af8fe1bbeb5ccf693c2bb8583e2c19c5da92ed2730466e373c6f53d9ff9f09c2bdedf102da3f76b75511d7f9b7d266ac0765999f94
 DIST ocaml-ctypes-0.12.1.tar.gz 199686 BLAKE2B 
d131bb8ebe8448c6d252d32b6a6de2e555f4c7802bec0da83f33ac402d1fd1c73db9abb97fe9f7065fbeaddc782c0976bb05ef6ee6aa80e20b46074a48c343c3
 SHA512 
801c66395d843c9e410736a06ab5e03bbe22851a364dc9b9444f49dc133e0f5e0b7a1c31e88de56d23a21817cb35595a1b6743c430c8c1a689b7ae12adc8856f
 DIST ocaml-ctypes-0.13.0.tar.gz 200959 BLAKE2B 
9f7274099924bd5502fc8115a1e5ed32f9b56902ce284f5530710c948d6d735a2abfd30affa5f1f7803edb33e062c288963946846be29977af87f19f47dd0fbe
 SHA512 
ba2e4cd77d42cf032d823e26f94a8cc37d81ac12bafd40c5d61685d66c97e18996a286dd8d486c94ad4a34e4214e55104e6283158962871e7f0722b2144f7a7d
+DIST ocaml-ctypes-0.17.1.tar.gz 208101 BLAKE2B 
b9fe6632058a670c988ba9f1ae81b75aa5373de7231cef04d5e2ede61a44cbaa0324c04197a0a202847599a9bbe7dccd18fd3279f3f351493aaec4959caf3ada
 SHA512 
1e197009f7e6b29b43944f757e987934337ebfa11bb2ff2ca8ba3ebc607e37cf1259d07a90d7faf4b91b49ee20d5c65357ad305f34ada0a8d336a3904233150e

diff --git a/dev-ml/ocaml-ctypes/metadata.xml b/dev-ml/ocaml-ctypes/metadata.xml
index 036e86e13c2..e3a65adc3e7 100644
--- a/dev-ml/ocaml-ctypes/metadata.xml
+++ b/dev-ml/ocaml-ctypes/metadata.xml
@@ -1,8 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <!-- maintainer-needed -->
-  <upstream>
-    <remote-id type="github">ocamllabs/ocaml-ctypes</remote-id>
-  </upstream>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Mark Wright</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">ocamllabs/ocaml-ctypes</remote-id>
+       </upstream>
 </pkgmetadata>

diff --git a/dev-ml/ocaml-ctypes/ocaml-ctypes-0.17.1.ebuild 
b/dev-ml/ocaml-ctypes/ocaml-ctypes-0.17.1.ebuild
new file mode 100644
index 00000000000..5370c08eb05
--- /dev/null
+++ b/dev-ml/ocaml-ctypes/ocaml-ctypes-0.17.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib
+
+DESCRIPTION="Library for binding to C libraries using pure OCaml"
+HOMEPAGE="https://github.com/ocamllabs/ocaml-ctypes";
+SRC_URI="https://github.com/ocamllabs/ocaml-ctypes/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       >=dev-lang/ocaml-4.02:=[ocamlopt]
+       >=dev-libs/libffi-3.3_rc0:0/7
+       dev-ml/integers:=
+"
+DEPEND="${RDEPEND}
+       test? ( dev-ml/ounit2 dev-ml/lwt )"
+
+src_prepare() {
+       sed -e 's/oUnit/ounit2/g' -i Makefile.tests || die
+       default
+}
+
+src_compile() {
+       emake -j1
+}
+
+src_test() {
+       emake -j1 test
+}
+
+src_install() {
+       findlib_src_install
+       dodoc CHANGES.md README.md
+}

Reply via email to